Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6735 - No Convenient Way to Install All rpm's
Summary: No Convenient Way to Install All rpm's
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-04 23:06 UTC by Fred Feirtag
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-09-19 22:51:18 UTC


Attachments (Terms of Use)

Description Fred Feirtag 1999-11-04 23:06:50 UTC
If disk space is no problem, it's sure nice to just install
all rpm's.  Accordingly, there should be an "everything"
component.  I run the following script to make a "comps"
file that has an "everything" I can reference from my
ks.cfg file:
==========================================================
#!/bin/csh -f

# makes an "everything" component in ../base/comps

set newcomps = /tmp/comps

sed '/^0 everything/q' ../base/comps.orig     >! $newcomps

echo ''                                       >> $newcomps
echo '0 everything {'                         >> $newcomps

foreach rpm (*.rpm)
  rpm --queryformat '%{NAME}\n' -qp $rpm | \
    sed 's/^/  /'                             >> $newcomps
end

echo '}'                                      >> $newcomps
===========================================================

Seems like an "everything" should come as an option without
having to do this or list all components/packages--
Please correct me if it does in some way I haven't though
of!

Thanks,

Fred Feirtag
fdfeirt@sandia.gov

Comment 1 Jay Turner 1999-11-30 14:15:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Jay Turner 2000-02-09 03:13:59 UTC
Issue has been added to list of features for future releases.

Comment 3 Michael Fulbright 2000-09-19 22:51:15 UTC
Fixed in Pinstripe beta.


Note You need to log in before you can comment on or make changes to this bug.